SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL';

CREATE SCHEMA IF NOT EXISTS `job_db` DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ;
USE `job_db` ;

-- -----------------------------------------------------
-- Table `job_db`.`timetable`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `job_db`.`timetable` (
  `id` INT(11) UNSIGNED NOT NULL ,
  `version` BIGINT(20)  NULL ,
  `create_on` DATETIME NULL ,
  `modify_on` DATETIME NULL ,
  `clazz` VARCHAR(255) NULL COMMENT '任务类' ,
  `description` VARCHAR(255) NULL COMMENT '描述' ,
  `data` TINYTEXT NULL COMMENT '定义任务所需的数据' ,
  `cron_expression` VARCHAR(45) NULL COMMENT '时间表达式' ,
  `is_active` TINYINT NULL COMMENT '活动' ,
  PRIMARY KEY (`id`) )
ENGINE = InnoDB
COMMENT = '时间表';


-- -----------------------------------------------------
-- Table `job_db`.`sequence`
-- -----------------------------------------------------
CREATE  TABLE IF NOT EXISTS `job_db`.`sequence` (
  `sequence_name` VARCHAR(255) NOT NULL ,
  `sequence_next_hi_value` INT(11) UNSIGNED NULL ,
  PRIMARY KEY (`sequence_name`) )
ENGINE = InnoDB;



SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
